#include <sourcemod>
#include <multicolors>
#include <autoexecconfig>

#pragma newdecls required
#pragma semicolon 1

ConVar gConVar_JoinMsg;

public Plugin myinfo = 
{
	name = "Block Kill, Explode, Ping and Status", 
	author = "LanteJoula", 
	description = "Block kill and explode commands on console", 
	version = "1.1", 
	url = "http://steamcommunity.com/id/lantejoula"
};

public void OnPluginStart()
{
	LoadTranslations("blockkillexplodepingstatus.phrases");
	
	RegConsoleCmd("kill", Cmd_Kill);
	RegConsoleCmd("killvector", Cmd_Kill);
	
	RegConsoleCmd("explode", Cmd_Explode);
	RegConsoleCmd("explodevector", Cmd_Explode);
	
	RegConsoleCmd("status", block);
	RegConsoleCmd("ping", block);
	
	AutoExecConfig_SetFile("plugin.blockkillexplodepingstatus");
	
	gConVar_JoinMsg = AutoExecConfig_CreateConVar("z_join_message", "1", "Enable/Disable the Message when Player Join (1 - Enable | 0 - Disable)", 0, true, 0.0, true, 1.0);
	
	AutoExecConfig_ExecuteFile();
	AutoExecConfig_CleanFile();
}

public Action Cmd_Kill(int client, int args)
{
	CPrintToChat(client, "%t %t", "Prefix", "You dont have access for kill");
	return Plugin_Handled;
}

public Action Cmd_Explode(int client, int args)
{
	CPrintToChat(client, "%t %t", "Prefix", "You dont have access for explode");
	return Plugin_Handled;
}

public Action block(int client, int args)
{
	if (!(0 < client <= MaxClients) || !(GetUserFlagBits(client) & ADMFLAG_GENERIC))
	{
		return Plugin_Stop;
	}
	return Plugin_Continue;
}

///////////////////
//AUTO JOIN MESSAGE
///////////////////

public void OnClientPutInServer(int client)
{
	CreateTimer(5.0, JoinMsg, client);
}

public Action JoinMsg(Handle timer, any client)
{
	if (gConVar_JoinMsg.BoolValue)
		CPrintToChat(client, "%t %t", "Prefix", "JoinMsg");
} 